Name:           flameshot
Version:        0.6.0
Release:        %mkrel 1
Summary:        Powerful and simple to use screenshot software
# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/lupoDharkael/flameshot#license
License:        GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Group:          Graphics/Utilities
URL:            https://github.com/lupoDharkael/flameshot
Source0:        https://github.com/lupoDharkael/flameshot/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  gcc-c++
BuildRequires:  gcc

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.

%prep
%autosetup -p1

%build
%qmake_qt5 PREFIX=%{_prefix} CONFIG+=packaging

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%find_lang Internationalization --with-qt

%files -f Internationalization.lang
%doc README.md
%license LICENSE img/app/flameshotLogoLicense.txt
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/%{name}.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations


%changelog
* Fri Sep 20 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1443964
- backport flameshot for mga7 (mga#25458)
- initial package flameshot (mga#25458)

